> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Balance Transactions

> Export balance transaction history to CSV via email



## OpenAPI

````yaml post /v1/balances/{balance_provider}/transactions/export
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/balances/{balance_provider}/transactions/export:
    post:
      summary: Export Balance Breakdown
      description: >-
        Export Balance Breakdown and the exported file will be included in
        attachment of sending email to the business's admin email. Currenly, we
        only support `Adyen` provider.
      operationId: export-transactions
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: balance_provider
          in: path
          description: The balance provider. It only supports Adyen now.
          schema:
            type: string
            example: adyen
          required: true
        - name: created_at_from
          description: The start day of Adyen transaction in range.
          in: query
          schema:
            type: string
            example: '2025-05-21'
        - name: created_at_to
          description: >-
            The end day of Adyen transaction in range. Note: `created_at_to >=
            created_at_from`
          in: query
          schema:
            type: string
            example: '2025-05-21'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: >-
                      The created at from does not match the format Y-m-d. (and
                      1 more error)
                    errors:
                      created_at_from:
                        - The created at from does not match the format Y-m-d.
                      created_at_to:
                        - >-
                          The created at to must be a date after or equal to
                          created at from.
              schema: {}
      deprecated: false

````